Bug 1640626 - Google Chrome repository silently disabled when upgrading to F29
Summary: Google Chrome repository silently disabled when upgrading to F29
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-workstation-repositories
Version: 29
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F29FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2018-10-18 12:37 UTC by Tomas Popela
Modified: 2018-12-10 17:09 UTC (History)
9 users (show)

Fixed In Version: fedora-workstation-repositories-29-1.fc29 fedora-workstation-repositories-28-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-21 15:47:00 UTC


Attachments (Terms of Use)

Description Tomas Popela 2018-10-18 12:37:45 UTC
When upgrading from F28 to F29 (probably between other versions as well) the Google Chrome repository is silently disabled.

1. Have /etc/yum.repos.d/google-chrome.repo presented with enabled=1
2. Upgrade to F29 with dnf system-upgrade (probably other mechanisms break it as well) - hint the file is replaced with one from fedora-workstation-repositories
3. After successful upgrade observe the /etc/yum.repos.d/google-chrome.repo that contains the enabled=0 line which disables the repo.

This basically means that there are some users that still didn't receive the Google 70 security update because of this.

Comment 1 Tomas Popela 2018-10-18 12:40:49 UTC
Proposing this for F29 FE.

Comment 2 Kalev Lember 2018-10-18 12:44:02 UTC
sgallagh is preparing a fix for this.

+1 FE, would be nice if we can avoid changing the package with the .repo files post release because users can be editing the .repo files as well and then we leave .rpmnew files behind etc.

Comment 3 Stephen Gallagher 2018-10-18 12:52:24 UTC
+1 FE as well.

Comment 4 Kamil Páral 2018-10-18 12:57:47 UTC
+1 FE

Comment 5 Stephen Gallagher 2018-10-18 12:58:16 UTC
To record the problem: all of the repositories in the fedora-workstation-repositories packages were installed as basic files, rather than as %config(noreplace). The result is that every update of that package will reset any of those repository files to enabled=0, enabled_metadata=1, resulting in the repo not getting updates.

The patches I sent in https://src.fedoraproject.org/rpms/fedora-workstation-repositories/pull-request/3 and https://src.fedoraproject.org/rpms/fedora-workstation-repositories/pull-request/5 fixes this and needs to be pushed to F28, F29 and Rawhide.

Comment 6 Fedora Update System 2018-10-18 13:06:11 UTC
fedora-workstation-repositories-29-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-109c48fcbb

Comment 7 Fedora Update System 2018-10-18 13:06:17 UTC
fedora-workstation-repositories-28-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1bd2b1fbcf

Comment 8 Geoffrey Marr 2018-10-18 13:40:22 UTC
Accepted on 2018-10-18 after the amount of votes in-bug had reached an appropriate level:

The decision to classify this bug as an "AcceptedFreezeException" was made as this bug will prevent users of the Google Chrome repo from accessing updates to Google Chrome and could pose potential security risks as such.

Comment 9 Fedora Blocker Bugs Application 2018-10-18 14:02:05 UTC
Proposed as a Blocker for 29-final by Fedora user sgallagh using the blocker tracking app because:

 "A fedora-release package containing the correct names, information and repository configuration for a final Fedora release must be present on release-blocking images".

"correct [...] repository configuration" should include not overwriting local changes (like enablement).

I think this is potentially a candidate to be considered a 0day blocker, since it will only affect updates from older versions.

The fix is already built and pushed, but in case the fix is incomplete, it should probably have a ruling made.

Comment 10 Fedora Update System 2018-10-18 15:32:26 UTC
fedora-workstation-repositories-29-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-109c48fcbb

Comment 11 Zbigniew Jędrzejewski-Szmek 2018-10-18 17:38:14 UTC
I can confirm that the new package preserves existing modifications to those files (including the case when upgrading from an old package without %config(noreplace)).

Comment 12 Geoffrey Marr 2018-10-18 21:38:28 UTC
Discussed during the 2018-10-18 Fedora 29 Go/No-Go meeting: [1]

The decision to classify this bug as an "AcceptedBlocker" was made as this would silently disable third-party repos shipped in the fedora-workstation-repositories package, preventing upgrades and security patches to those packages, and violating the blocker criteria surrounding repositories.

[1] https://meetbot-raw.fedoraproject.org/fedora-meeting-1/2018-10-18/f29-final-go_no_go-meeting.2018-10-18-17.00.log.txt

Comment 13 Fedora Update System 2018-10-19 16:52:33 UTC
fedora-workstation-repositories-28-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1bd2b1fbcf

Comment 14 Fedora Update System 2018-10-21 15:47:00 UTC
fedora-workstation-repositories-29-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-10-26 17:06:37 UTC
fedora-workstation-repositories-28-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Sylvia Sánchez 2018-12-10 17:09:59 UTC
FYI This happened in the KDE Spin as well, when I upgraded from F28 to F29


Note You need to log in before you can comment on or make changes to this bug.